QuantLib: Gaussian1dCapFloorEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | List of all members
Gaussian1dCapFloorEngine Class Reference
Pricing engines » Cap/floor engines

Gaussian1d cap/floor engine. More...

`#include <ql/pricingengines/capfloor/gaussian1dcapfloorengine.hpp>`

Inheritance diagram for Gaussian1dCapFloorEngine:
[legend]

## Public Member Functions
| Gaussian1dCapFloorEngine (const ext::shared_ptr< Gaussian1dModel > &model, const int integrationPoints=64, const Real stddevs=7.0, const bool extrapolatePayoff=true, const bool flatPayoffExtrapolation=false, const Handle< YieldTermStructure > &discountCurve=Handle< YieldTermStructure >())
void | calculate () const
Public Member Functions inherited from GenericModelEngine< Gaussian1dModel, CapFloor::arguments, CapFloor::results >
| GenericModelEngine (const Handle< Gaussian1dModel > &model=Handle< Gaussian1dModel >())
| GenericModelEngine (const ext::shared_ptr< Gaussian1dModel > &model)
Public Member Functions inherited from GenericEngine< CapFloor::arguments, CapFloor::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericModelEngine< Gaussian1dModel, CapFloor::arguments, CapFloor::results >
Handle< Gaussian1dModel > | model_
Protected Attributes inherited from GenericEngine< CapFloor::arguments, CapFloor::results >
CapFloor::arguments | arguments_
CapFloor::results | results_

## Detailed Description

Gaussian1d cap/floor engine.